## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate sequoia-octopus-librnp

%global tb_plugindir %{_libdir}/thunderbird
%global __provides_exclude_from ^%{tb_plugindir}/.*\\.so$

Name:           rust-sequoia-octopus-librnp
Version:        1.6.1
Release:        %autorelease
Summary:        Reimplementation of RNP's interface using Sequoia for use with Thunderbird

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-octopus-librnp
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * enable default features in rand and rand_distr dependencies:
#   fixes undefined references to rand::thread_rng
# * exclude files only useful for upstream development
# * do not use bundled sqlite in rusqlite
# * drop build script and build-dependencies:
#   git repository is not available when building from published crates
Patch:          sequoia-octopus-librnp-fix-metadata.diff
Patch:          0001-drop-broken-build-script-based-git-versioning.patch

# exclude architectures where thunderbird is not available
ExcludeArch:    %{ix86} %{arm} s390x

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Reimplementation of RNP's interface using Sequoia for use with
Thunderbird.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR LGPL-3.0-or-later
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        LGPL-2.0-or-later AND Apache-2.0 AND BSD-3-Clause AND BSL-1.0 AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (LGPL-3.0 OR GPL-2.0 OR GPL-3.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR LGPL-3.0-or-later) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

Requires:       thunderbird%{?_isa}
Provides:       thunderbird-librnp
Provides:       thunderbird-librnp%{?_isa}
Conflicts:      thunderbird-librnp%{?_isa}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{tb_plugindir}/librnp.so

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
mkdir -p %{buildroot}/%{tb_plugindir}
cp -pav target/release/libsequoia_octopus_librnp.so %{buildroot}/%{tb_plugindir}/librnp.so

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Dec 19 2023 Fabio Valentini <decathorpe@gmail.com> 1.6.1-1
- Update to version 1.6.1; Fixes RHBZ#2254574

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> 1.5.0-4
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> 1.5.0-2
- Rebuild for sequoia-openpgp v1.16

* Sat May 06 2023 Fabio Valentini <decathorpe@gmail.com> 1.5.0-1
- Update to version 1.5.0; Fixes RHBZ#2175238

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> 1.4.1-8
- Rebuild for tokio, h2, and openssl crate security updates

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> 1.4.1-7
- Bump to sequoia-autocrypt v0.25, sequoia-ipc v0.30, and sequoia-net v0.27

* Wed Mar 01 2023 Fabio Valentini <decathorpe@gmail.com> 1.4.1-6
- Bump rusqlite dependency from 0.26 to 0.28

* Sun Feb 26 2023 Fabio Valentini <decathorpe@gmail.com> 1.4.1-5
- Rebuild for bzip2 0.4.4 (CVE-2023-22895 / RUSTSEC-2023-0004)

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> 1.4.1-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 01 2022 Fabio Valentini <decathorpe@gmail.com> 1.4.1-2
- Rebuild with capnp v0.14.11 for CVE-2022-46149 / RUSTSEC-2022-0068

* Wed Sep 07 2022 Fabio Valentini <decathorpe@gmail.com> 1.4.1-1
- Update to version 1.4.1; Fixes RHBZ#2103181

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 07 2022 Fabio Valentini <decathorpe@gmail.com> 1.4.0-1
- Update to version 1.4.0; Fixes RHBZ#2068321

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#2031067

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.1.0-1
- Update to 1.1.0 Close: rhbz#2005256

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.0.1-4
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 22 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-2
- Packaging changes to match official Fedora thunderbird package.

* Mon Apr 26 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Initial package

